ListConfigurations - HealthOmics API Reference

ListConfigurations

List all configurations for the account.

Request Syntax

GET /configuration?maxResults=maxResults&startingToken=startingToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

Maximum number of results to return.

Valid Range: Minimum value of 1. Maximum value of 10.

startingToken

Pagination token for retrieving next page of results.

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "arn": "string", "creationTime": "string", "description": "string", "name": "string", "status": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

List of configuration items.

Type: Array of ConfigurationListItem objects

nextToken

Token for retrieving next page of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request cannot be applied to the target resource in its current state.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred. Try the request again.

HTTP Status Code: 500

RequestTimeoutException

The request timed out.

HTTP Status Code: 408

ResourceNotFoundException

The target resource was not found in the current Region.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: